import { CancelableEvent } from "@skeldjs/events";
import { UsePlatformMessage } from "@skeldjs/protocol";
import { Hostable } from "../../Hostable";
import { PlayerData } from "../../PlayerData";
import { MovingPlatformSide } from "../../systems";
import { ProtocolEvent } from "../ProtocolEvent";
import { RoomEvent } from "../RoomEvent";
import { PlayerEvent } from "./PlayerEvent";
export declare class PlayerGetOnMovingPlatformEvent<RoomType extends Hostable = Hostable> extends CancelableEvent implements RoomEvent, PlayerEvent, ProtocolEvent {
    readonly room: RoomType;
    readonly player: PlayerData<RoomType>;
    readonly message: UsePlatformMessage | undefined;
    /**
     * The direction that the player wants to move in.
     */
    readonly side: MovingPlatformSide;
    static eventName: "player.getonmovingplatform";
    eventName: "player.getonmovingplatform";
    private _alteredSide;
    constructor(room: RoomType, player: PlayerData<RoomType>, message: UsePlatformMessage | undefined, 
    /**
     * The direction that the player wants to move in.
     */
    side: MovingPlatformSide);
    /**
     * The direciton that the player will move in instead, if altered.
     */
    get alteredSide(): MovingPlatformSide;
    /**
     * Change the direction or side that the player will move to.
     * @param side The side for the player to move towards.
     */
    setSide(side: MovingPlatformSide): void;
}
