"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PlayerGetOnMovingPlatformEvent = void 0;
const events_1 = require("@skeldjs/events");
class PlayerGetOnMovingPlatformEvent extends events_1.CancelableEvent {
    constructor(room, player, message, 
    /**
     * The direction that the player wants to move in.
     */
    side) {
        super();
        this.room = room;
        this.player = player;
        this.message = message;
        this.side = side;
        this.eventName = "player.getonmovingplatform";
        this._alteredSide = side;
    }
    /**
     * The direciton that the player will move in instead, if altered.
     */
    get alteredSide() {
        return this._alteredSide;
    }
    /**
     * Change the direction or side that the player will move to.
     * @param side The side for the player to move towards.
     */
    setSide(side) {
        this._alteredSide = side;
    }
}
exports.PlayerGetOnMovingPlatformEvent = PlayerGetOnMovingPlatformEvent;
PlayerGetOnMovingPlatformEvent.eventName = "player.getonmovingplatform";
//# sourceMappingURL=GetOnMovingPlatform.js.map