import { HazelReader, Vector2 } from "@skeldjs/util";
import { SpawnType } from "@skeldjs/constant";
import { CloseDoorsOfTypeMessage } from "@skeldjs/protocol";
import { ShipStatusData, InnerShipStatus } from "./InnerShipStatus";
import { Hostable } from "../Hostable";
import { Networkable, NetworkableConstructor } from "../Networkable";
/**
 * Represents a room object for the Airship map.
 *
 * See {@link ShipStatusEvents} for events to listen to.
 */
export declare class AirshipStatus<RoomType extends Hostable = Hostable> extends InnerShipStatus<RoomType> {
    static roomDoors: {
        14: number[];
        40: number[];
        33: number[];
        45: number[];
        42: number[];
        43: number[];
        46: number[];
    };
    initialSpawnCenter: Vector2;
    meetingSpawnCenter: Vector2;
    constructor(room: RoomType, spawnType: SpawnType, netid: number, ownerid: number, flags: number, data?: HazelReader | ShipStatusData);
    getComponent<T extends Networkable>(component: NetworkableConstructor<T>): T | undefined;
    protected _handleCloseDoorsOfType(rpc: CloseDoorsOfTypeMessage): Promise<void>;
    Setup(): void;
}
