import { HazelReader, Vector2 } from "@skeldjs/util";
import { CloseDoorsOfTypeMessage } from "@skeldjs/protocol";
import { SpawnType } from "@skeldjs/constant";
import { ShipStatusData, InnerShipStatus } from "./InnerShipStatus";
import { Hostable } from "../Hostable";
import { Networkable, NetworkableConstructor } from "../Networkable";
/**
 * Represents a room object for the The Skeld map.
 *
 * See {@link ShipStatusEvents} for events to listen to.
 */
export declare class SkeldShipStatus<RoomType extends Hostable = Hostable> extends InnerShipStatus<RoomType> {
    static roomDoors: {
        1: number[];
        2: number[];
        4: number[];
        7: number[];
        10: number[];
        11: number[];
        13: number[];
    };
    initialSpawnCenter: Vector2;
    meetingSpawnCenter: Vector2;
    constructor(room: RoomType, spawnType: SpawnType, netid: number, ownerid: number, flags: number, data?: HazelReader | ShipStatusData);
    getComponent<T extends Networkable>(component: NetworkableConstructor<T>): T | undefined;
    protected _handleCloseDoorsOfType(rpc: CloseDoorsOfTypeMessage): Promise<void>;
    Setup(): void;
}
